summaryrefslogtreecommitdiffstats
path: root/source/l/librsvg/librsvg.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/librsvg/librsvg.SlackBuild')
-rwxr-xr-xsource/l/librsvg/librsvg.SlackBuild19
1 files changed, 15 insertions, 4 deletions
diff --git a/source/l/librsvg/librsvg.SlackBuild b/source/l/librsvg/librsvg.SlackBuild
index ab9ab4fb6..28400d22a 100755
--- a/source/l/librsvg/librsvg.SlackBuild
+++ b/source/l/librsvg/librsvg.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2016, 2018 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2016, 2018, 2022, 2023 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -76,8 +76,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Hate to do this, but I'll let this thing download since it has to.
+# Direct any complaints upstream please :-)
+#UNSHARE="unshare -n"
+
CFLAGS="$SLKCFLAGS" \
-./configure \
+$UNSHARE ./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
@@ -88,12 +92,17 @@ CFLAGS="$SLKCFLAGS" \
--enable-static=no \
--build=$ARCH-slackware-linux || exit 1
-make $NUMJOBS || make || exit 1
+$UNSHARE make $NUMJOBS || $UNSHARE make || exit 1
make install DESTDIR=$PKG || exit 1
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+# Add this symlink for now so that we don't break compiles:
+if [ ! -r $PKG/usr/include/librsvg-2.0/librsvg/librsvg-features.h ]; then
+ ln -sf rsvg-features.h $PKG/usr/include/librsvg-2.0/librsvg/librsvg-features.h
+fi
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -116,7 +125,9 @@ mkdir -p $PKG/usr/doc/librsvg-$VERSION
cp -a \
AUTHORS COPYING* NEWS README* TODO \
$PKG/usr/doc/librsvg-$VERSION
-( cd $PKG/usr/doc/librsvg-$VERSION ; ln -s /usr/share/gtk-doc/html/rsvg-2.0/ html )
+if [ -d $PKG/usr/share/gtk-doc/html/rsvg-2.0 ]; then
+ ( cd $PKG/usr/doc/librsvg-$VERSION ; ln -s /usr/share/gtk-doc/html/rsvg-2.0/ html )
+fi
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control: